## python-troveclient 0.1.4

=== requirements.txt ===
pbr>=0.5.16,<0.6
argparse
httplib2
lxml>=2.3
PrettyTable>=0.6,<0.8

=== debian/changelog ===
python-troveclient (1:0.1.4-0ubuntu2~cloud0) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 27 Sep 2013 11:29:04 -0700

python-troveclient (1:0.1.4-0ubuntu2) saucy; urgency=low

  * debian/*: Remove +x from files that do not require it.
  * debian/tests/{client, control}: Checkin simple dep8 test to
    ensure functioning client using '-h'. (LP: #1226871)

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 26 Sep 2013 17:18:32 -0700

python-troveclient (1:0.1.4-0ubuntu1) saucy; urgency=low

  * Initial release.

 -- Adam Gandelman <adamg@canonical.com>  Wed, 06 Jun 2012 12:54:56 -0700

=== debian/control ===
Source: python-troveclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Adam Gandelman <adamg@canonical.com>
Build-Depends: debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 python-httplib2,
 python-keystoneclient,
 python-lxml,
 python-mock,
 python-pbr,
 python-prettytable (>= 0.6),
 python-sphinx,
 python-setuptools,
 python-testtools,
 python-subunit,
 testrepository
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-troveclient/havana/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-troveclient/havana
XS-Testsuite: autopkgtest

Package: python-troveclient
Architecture: all
Depends:
 python-httplib2,
 python-lxml,
 python-setuptools,
 python-prettytable (>= 0.6),
 ${misc:Depends},
 ${python:Depends}
Description: Client library for Openstack Trove API.
 This is a client library for the OpenStack Trove API.

## python-troveclient 1.0.1

=== debian/changelog ===
python-troveclient (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #721604).

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Nov 2012 17:15:12 +0000

=== debian/control ===
Source: python-troveclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-pbr, openstack-pkg-tools, python-all (>= 2.6.6-3~)
Build-Depends-Indep: python-httplib2,
                     python-lxml,
                     python-mock,
                     python-prettytable,
                     python-sphinx,
                     python-testtools (>= 0.9.32),
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-troveclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-troveclient.git
Homepage: http://www.openstack.org

Package: python-troveclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-httplib2,
         python-lxml,
         python-prettytable,
         ${misc:Depends},
         ${python:Depends}
Description: Client for OpenStack Database as a Service
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.

## python-troveclient 1.0.3

=== requirements.txt ===
pbr>=0.5.21,<1.0
argparse
PrettyTable>=0.6,<0.8
requests>=1.1
simplejson>=2.0.9
Babel>=1.3
six>=1.4.1

=== debian/changelog ===
python-troveclient (1:1.0.3-0ubuntu3) trusty; urgency=medium

  * debian/control: Change binary to "trove". 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 18 Feb 2014 14:34:44 -0500

python-troveclient (1:1.0.3-0ubuntu2) trusty; urgency=medium

  * debian/tests/client: Change binary to "troveclient".

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 03 Feb 2014 13:11:56 -0500

python-troveclient (1:1.0.3-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/control: Add python-simplejson as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Jan 2014 10:21:50 -0500

=== debian/control ===
Source: python-troveclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Adam Gandelman <adamg@canonical.com>
Build-Depends: debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 python-httplib2,
 python-keystoneclient,
 python-lxml,
 python-mock,
 python-pbr,
 python-prettytable (>= 0.6),
 python-simplejson,
 python-sphinx,
 python-setuptools,
 python-testtools,
 python-subunit,
 testrepository
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-troveclient/havana/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-troveclient/havana
XS-Testsuite: autopkgtest

Package: python-troveclient
Architecture: all
Depends:
 python-httplib2,
 python-lxml,
 python-setuptools,
 python-prettytable (>= 0.6),
 ${misc:Depends},
 ${python:Depends}
Description: Client library for Openstack Trove API.
 This is a client library for the OpenStack Trove API.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	testr init && testr run --parallel
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pbr*.egg

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

=== debian/tests/control ===
Tests: client
Depends: python-troveclient

=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/" https://launchpad.net/python-troveclient/+download https://launchpad.net/python-troveclient/.*/.*/.*/python-troveclient-(.*)\.tar\.gz
http://tarballs.openstack.org/python-troveclient/ python-troveclient-(\d.*).tar.gz
http://pypi.python.org/packages/source/p/python-troveclient/python-troveclient-(.*).tar.gz

## python-troveclient 1.0.5

=== debian/changelog ===
python-troveclient (1.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Fixed build-depends.
  * Using testr and subunit correctly.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 09:39:11 +0000

python-troveclient (1.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2013 17:43:26 +0800

=== debian/control ===
Source: python-troveclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr
Build-Depends-Indep: python-httplib2,
                     python-mock (>= 1.0),
                     python-prettytable (>= 0.7),
                     python-sphinx,
                     python-subunit (>= 0.0.18),
                     python-testtools (>= 0.9.32),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-troveclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-troveclient.git
Homepage: http://www.openstack.org

Package: python-troveclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-httplib2,
         python-lxml,
         python-prettytable (>= 0.7),
         ${misc:Depends},
         ${python:Depends}
Description: Client for OpenStack Database as a Service
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

## python-troveclient 1.0.9

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
argparse
PrettyTable>=0.7,<0.8
requests>=2.2.0,!=2.4.0
simplejson>=2.2.0
oslo.utils>=1.2.0
python-keystoneclient>=1.1.0
Babel>=1.3
six>=1.9.0

=== debian/changelog ===
python-troveclient (1:1.0.9-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo-3.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2015 15:01:58 +0000

python-troveclient (1:1.0.8-0ubuntu1) vivid; urgency=medium

  * Open up for vivid.
  * New upstream release.
  * debian/control: Update bzr branch
  * debian/control: Add python-requests-mock.
  * debian/control: Add dh-python as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Jan 2015 08:50:21 -0500

python-troveclient (1:1.0.5-0ubuntu2) utopic; urgency=medium

  * d/control: Update Vcs fields for Juno release branches. 

 -- James Page <james.page@ubuntu.com>  Fri, 01 Aug 2014 10:23:45 +0100

python-troveclient (1:1.0.5-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Open up juno release

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jun 2014 10:23:05 -0400

=== debian/control ===
Source: python-troveclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Adam Gandelman <adamg@canonical.com>
Build-Depends: debhelper (>= 8.0.0), dh-python,
 python-all (>= 2.6.6-3~),
 python-httplib2,
 python-keystoneclient,
 python-lxml,
 python-mock,
 python-requests-mock,
 python-pbr,
 python-prettytable (>= 0.6),
 python-simplejson,
 python-sphinx,
 python-setuptools,
 python-testtools,
 python-subunit,
 testrepository
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-troveclient/kilo/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-troveclient/kilo
XS-Testsuite: autopkgtest

Package: python-troveclient
Architecture: all
Depends:
 python-httplib2,
 python-lxml,
 python-setuptools,
 python-prettytable (>= 0.6),
 ${misc:Depends},
 ${python:Depends}
Description: Client library for Openstack Trove API.
 This is a client library for the OpenStack Trove API.

## python-troveclient 1.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=1.6
argparse
PrettyTable<0.8,>=0.7
requests>=2.5.2
simplejson>=2.2.0
oslo.utils>=2.0.0 # Apache-2.0
python-keystoneclient>=1.6.0
Babel>=1.3
six>=1.9.0

=== debian/changelog ===
python-troveclient (1:1.3.0-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Sep 2015 05:32:44 +0000

python-troveclient (1:1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align dependencies and versions with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Sep 2015 15:41:28 -0400

python-troveclient (1:1.2.0-4) experimental; urgency=medium

  [ Corey Bryant ]
  * Add epoch to version to align with Ubuntu.

  [ Thomas Goirand ]
  * Do not test with Python 3.5: it's broken.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Aug 2015 08:00:56 +0000

python-troveclient (1.2.0-3) experimental; urgency=medium

  * Converge Ubuntu and Debian package:
    - d/tests/*: Add DEP 8 tests from Ubuntu.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Aug 2015 16:09:30 -0400

python-troveclient (1.2.0-2) experimental; urgency=medium

  * Added Python 3 support.
  * Rewrote the unit test commands in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Aug 2015 11:58:55 +0200

python-troveclient (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Aug 2015 11:50:58 +0200

python-troveclient (1.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Apr 2015 22:29:32 +0200

python-troveclient (1.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Dec 2014 18:44:47 +0800

=== debian/control ===
Source: python-troveclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-hacking,
                     python-httplib2,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.2),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-prettytable,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-testscenarios,
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-testtools (>= 1.4.0),
                     python3-babel,
                     python3-httplib2,
                     python3-keystoneclient (>= 1:1.3.0),
                     python3-mock (>= 1.2),
                     python3-oslo.utils (>= 2.0.0),
                     python3-prettytable,
                     python3-requests (>= 2.5.2),
                     python3-requests-mock (>= 0.6.0),
                     python3-testscenarios,
                     python3-simplejson,
                     python3-six (>= 1.9.0),
                     python3-testtools (>= 1.4.0),
                     subunit (>= 1.1.0),
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-troveclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-troveclient.git
Homepage: http://www.openstack.org
XS-Testsuite: autopkgtest

Package: python-troveclient
Architecture: all
Depends: python-babel,
         python-keystoneclient (>= 1:1.6.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.6),
         python-prettytable,
         python-requests (>= 2.5.2),
         python-simplejson,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: Client for OpenStack Database as a Service - Python 2.7
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.
 .
 This package contains the Python 2.7 module.

Package: python3-troveclient
Architecture: all
Depends: python-babel,
         python3-keystoneclient (>= 1:1.3.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.6),
         python3-prettytable,
         python3-requests (>= 2.5.2),
         python3-simplejson,
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: Client for OpenStack Database as a Service - Python 3.x
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-troveclient ; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-troveclient ; \
	done
	mv $(CURDIR)/debian/python-troveclient/usr/bin/trove $(CURDIR)/debian/python-troveclient/usr/bin/python2-trove
	mv $(CURDIR)/debian/python3-troveclient/usr/bin/trove $(CURDIR)/debian/python3-troveclient/usr/bin/python3-trove

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 3.4 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

## python-troveclient 2.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
requests!=2.9.0,>=2.8.1 # Apache-2.0
simplejson>=2.2.0 # MIT
oslo.utils>=3.5.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
Babel>=1.3 # BSD
six>=1.9.0 # MIT
python-swiftclient>=2.2.0 # Apache-2.0

=== debian/changelog ===
python-troveclient (1:2.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 16:52:31 +0000

python-troveclient (1:2.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 13:55:50 +0100

python-troveclient (1:2.0.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align requirements with upstream.

  [ Corey Bryant ]
  * d/control: Update uploaders.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 08:19:42 +0000

python-troveclient (1:1.4.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed debian/copyright ordering.

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align requirements with upstream.

  [ Corey Bryant ]
  * d/rules: Run tests for all py3 versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Jan 2016 13:04:29 -0500

python-troveclient (1:1.3.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:57:48 +0000

python-troveclient (1:1.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:51:36 +0000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
+           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -20,32 +21,36 @@
                      python-httplib2,
                      python-keystoneclient (>= 1:1.6.0),
                      python-mock (>= 1.2),
-                     python-oslo.utils (>= 2.0.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
+                     python-oslotest (>= 1.10.0),
                      python-prettytable,
-                     python-requests (>= 2.5.2),
-                     python-requests-mock (>= 0.6.0),
-                     python-testscenarios,
+                     python-requests (>= 2.8.1),
+                     python-requests-mock (>= 0.7.0),
                      python-simplejson,
                      python-six (>= 1.9.0),
+                     python-swiftclient (>= 2.2.0),
+                     python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-babel,
                      python3-httplib2,
                      python3-keystoneclient (>= 1:1.3.0),
                      python3-mock (>= 1.2),
-                     python3-oslo.utils (>= 2.0.0),
+                     python3-oslo.utils (>= 3.5.0),
+                     python3-oslotest (>= 1.10.0),
                      python3-prettytable,
-                     python3-requests (>= 2.5.2),
-                     python3-requests-mock (>= 0.6.0),
-                     python3-testscenarios,
+                     python3-requests (>= 2.8.1),
+                     python3-requests-mock (>= 0.7.0),
                      python3-simplejson,
                      python3-six (>= 1.9.0),
+                     python3-swiftclient (>= 2.2.0),
+                     python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit (>= 1.1.0),
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-troveclient.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/python-troveclient.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-troveclient.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-troveclient.git
 Homepage: http://www.openstack.org
 XS-Testsuite: autopkgtest
 
@@ -53,12 +58,13 @@
 Architecture: all
 Depends: python-babel,
          python-keystoneclient (>= 1:1.6.0),
-         python-oslo.utils (>= 2.0.0),
+         python-oslo.utils (>= 3.5.0),
          python-pbr (>= 1.6),
          python-prettytable,
-         python-requests (>= 2.5.2),
+         python-requests (>= 2.8.1),
          python-simplejson,
          python-six (>= 1.9.0),
+         python-swiftclient (>= 2.2.0),
          ${misc:Depends},
          ${python:Depends},
 Description: Client for OpenStack Database as a Service - Python 2.7
@@ -74,12 +80,13 @@
 Architecture: all
 Depends: python-babel,
          python3-keystoneclient (>= 1:1.3.0),
-         python3-oslo.utils (>= 2.0.0),
+         python3-oslo.utils (>= 3.5.0),
          python3-pbr (>= 1.6),
          python3-prettytable,
-         python3-requests (>= 2.5.2),
+         python3-requests (>= 2.8.1),
          python3-simplejson,
          python3-six (>= 1.9.0),
+         python3-swiftclient (>= 2.2.0),
          ${misc:Depends},
          ${python3:Depends},
 Description: Client for OpenStack Database as a Service - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -26,10 +26,13 @@
 	mv $(CURDIR)/debian/python-troveclient/usr/bin/trove $(CURDIR)/debian/python-troveclient/usr/bin/python2-trove
 	mv $(CURDIR)/debian/python3-troveclient/usr/bin/trove $(CURDIR)/debian/python3-troveclient/usr/bin/python3-trove
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 3.4 ; do \
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

## python-troveclient 2.2.0

=== debian/changelog ===
python-troveclient (1:2.2.0-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Fixed missing swiftclient EPOC in (build-)depends.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 08 Sep 2016 21:04:54 +0000

python-troveclient (1:2.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2016 10:38:50 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                python3-setuptools,
 Build-Depends-Indep: python-babel,
                      python-coverage,
+                     python-crypto,
                      python-hacking,
                      python-httplib2,
                      python-keystoneclient (>= 1:1.6.0),
@@ -29,10 +30,11 @@
                      python-requests-mock (>= 0.7.0),
                      python-simplejson,
                      python-six (>= 1.9.0),
-                     python-swiftclient (>= 2.2.0),
+                     python-swiftclient (>= 1:2.2.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-babel,
+                     python3-crypto,
                      python3-httplib2,
                      python3-keystoneclient (>= 1:1.3.0),
                      python3-mock (>= 1.2),
@@ -43,12 +45,12 @@
                      python3-requests-mock (>= 0.7.0),
                      python3-simplejson,
                      python3-six (>= 1.9.0),
-                     python3-swiftclient (>= 2.2.0),
+                     python3-swiftclient (>= 1:2.2.0),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit (>= 1.1.0),
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-troveclient.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-troveclient.git
 Homepage: http://www.openstack.org
@@ -64,7 +66,7 @@
          python-requests (>= 2.8.1),
          python-simplejson,
          python-six (>= 1.9.0),
-         python-swiftclient (>= 2.2.0),
+         python-swiftclient (>= 1:2.2.0),
          ${misc:Depends},
          ${python:Depends},
 Description: Client for OpenStack Database as a Service - Python 2.7
@@ -86,7 +88,7 @@
          python3-requests (>= 2.8.1),
          python3-simplejson,
          python3-six (>= 1.9.0),
-         python3-swiftclient (>= 2.2.0),
+         python3-swiftclient (>= 1:2.2.0),
          ${misc:Depends},
          ${python3:Depends},
 Description: Client for OpenStack Database as a Service - Python 3.x

## python-troveclient 2.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
requests>=2.10.0 # Apache-2.0
simplejson>=2.2.0 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
Babel>=2.3.4 # BSD
keystoneauth1>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
python-swiftclient>=2.2.0 # Apache-2.0
python-mistralclient>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-troveclient (1:2.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.
  * Blacklist troveclient.tests.test_v1_shell.ShellTest.test_module_create.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2016 16:18:28 +0200

python-troveclient (1:2.5.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed missing swiftclient EPOC in (build-)depends.
  * Using OpenStack's Gerrit as VCS URLs.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 19:02:46 +0200

=== debian/control ===
--- 
+++ 
@@ -15,34 +15,38 @@
                python3-all,
                python3-pbr (>= 1.6),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
+Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage,
                      python-crypto,
                      python-hacking,
                      python-httplib2,
-                     python-keystoneclient (>= 1:1.6.0),
-                     python-mock (>= 1.2),
-                     python-oslo.utils (>= 3.5.0),
+                     python-keystoneauth1 (>= 2.10.0),
+                     python-mistralclient (>= 1:2.0.0),
+                     python-mock (>= 2.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-prettytable,
-                     python-requests (>= 2.8.1),
-                     python-requests-mock (>= 0.7.0),
+                     python-requests (>= 2.10.0),
+                     python-requests-mock (>= 1.0),
                      python-simplejson,
                      python-six (>= 1.9.0),
                      python-swiftclient (>= 1:2.2.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
-                     python3-babel,
+                     python3-babel (>= 2.3.4),
                      python3-crypto,
                      python3-httplib2,
-                     python3-keystoneclient (>= 1:1.3.0),
-                     python3-mock (>= 1.2),
-                     python3-oslo.utils (>= 3.5.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-mistralclient (>= 1:2.0.0),
+                     python3-mock (>= 2.0),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-prettytable,
-                     python3-requests (>= 2.8.1),
-                     python3-requests-mock (>= 0.7.0),
+                     python3-requests (>= 2.10.0),
+                     python3-requests-mock (>= 1.0),
                      python3-simplejson,
                      python3-six (>= 1.9.0),
                      python3-swiftclient (>= 1:2.2.0),
@@ -51,19 +55,21 @@
                      subunit (>= 1.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-troveclient.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-troveclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-troveclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-troveclient -b debian/newton
 Homepage: http://www.openstack.org
 XS-Testsuite: autopkgtest
 
 Package: python-troveclient
 Architecture: all
-Depends: python-babel,
-         python-keystoneclient (>= 1:1.6.0),
-         python-oslo.utils (>= 3.5.0),
+Depends: python-babel (>= 2.3.4),
+         python-keystoneauth1 (>= 2.10.0),
+         python-mistralclient (>= 1:2.0.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.6),
          python-prettytable,
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-simplejson,
          python-six (>= 1.9.0),
          python-swiftclient (>= 1:2.2.0),
@@ -80,12 +86,14 @@
 
 Package: python3-troveclient
 Architecture: all
-Depends: python-babel,
-         python3-keystoneclient (>= 1:1.3.0),
-         python3-oslo.utils (>= 3.5.0),
+Depends: python3-babel (>= 2.3.4),
+         python3-keystoneauth1 (>= 2.10.0),
+         python3-mistralclient (>= 1:2.0.0),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.6),
          python3-prettytable,
-         python3-requests (>= 2.8.1),
+         python3-requests (>= 2.10.0),
          python3-simplejson,
          python3-six (>= 1.9.0),
          python3-swiftclient (>= 1:2.2.0),

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'troveclient\.tests\.(?!.*test_v1_shell\.ShellTest\.test_module_create.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

## python-troveclient 2.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
requests!=2.12.2,>=2.10.0 # Apache-2.0
simplejson>=2.2.0 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
Babel>=2.3.4 # BSD
keystoneauth1>=2.17.0 # Apache-2.0
six>=1.9.0 # MIT
python-swiftclient>=3.2.0 # Apache-2.0
python-mistralclient>=2.0.0 # Apache-2.0
osc-lib>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-troveclient (1:2.8.0-0ubuntu2~cloud0) xenial-ocata; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 04 Feb 2017 23:00:43 +0000

python-troveclient (1:2.8.0-0ubuntu2) zesty; urgency=medium

  * d/control: Cleanup dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 04 Feb 2017 17:08:47 -0500

python-troveclient (1:2.8.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 13:34:32 -0500

python-troveclient (1:2.7.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Dec 2016 15:29:35 -0500

python-troveclient (1:2.6.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Nov 2016 10:24:18 -0500

python-troveclient (1:2.5.0-0ubuntu1) yakkety; urgency=medium

  [ Thomas Goirand ]
  * Fixed missing swiftclient EPOC in (build-)depends.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 15:08:41 -0400

=== debian/control ===
Source: python-troveclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-crypto,
                     python-fixtures (>= 3.0.0),
                     python-httplib2 (>= 0.7.5),
                     python-keystoneauth1 (>= 2.17.0),
                     python-mistralclient (>= 1:2.0.0),
                     python-mock (>= 2.0),
                     python-osc-lib (>= 1.2.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-prettytable (>= 0.7.1),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-swiftclient (>= 1:3.2.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 2.3.4),
                     python3-coverage (>= 4.0),
                     python3-crypto,
                     python3-fixtures (>= 3.0.0),
                     python3-hacking (>= 0.10.0),
                     python3-httplib2 (>= 0.7.5),
                     python3-keystoneauth1 (>= 2.17.0),
                     python3-mistralclient (>= 1:2.0.0),
                     python3-mock (>= 2.0),
                     python3-osc-lib (>= 1.2.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-oslotest (>= 1.10.0),
                     python3-prettytable (>= 0.7.1),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.1),
                     python3-simplejson (>= 2.2.0),
                     python3-six (>= 1.9.0),
                     python3-swiftclient (>= 1:3.2.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-troveclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-troveclient
Homepage: http://www.openstack.org
XS-Testsuite: autopkgtest

Package: python-troveclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-keystoneauth1 (>= 2.14.0),
         python-mistralclient (>= 1:2.0.0),
         python-osc-lib (>= 1.2.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.6),
         python-prettytable,
         python-requests (>= 2.10.0),
         python-simplejson,
         python-six (>= 1.9.0),
         python-swiftclient (>= 1:3.2.0),
         ${misc:Depends},
         ${python:Depends}
Description: Client for OpenStack Database as a Service - Python 2.7
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.
 .
 This package contains the Python 2.7 module.

Package: python3-troveclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-keystoneauth1 (>= 2.14.0),
         python3-mistralclient (>= 1:2.0.0),
         python3-osc-lib (>= 1.2.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.6),
         python3-prettytable,
         python3-requests (>= 2.10.0),
         python3-simplejson,
         python3-six (>= 1.9.0),
         python3-swiftclient (>= 1:3.2.0),
         ${misc:Depends},
         ${python3:Depends}
Description: Client for OpenStack Database as a Service - Python 3.x
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.
 .
 This package contains the Python 3.x module.

## python-troveclient 2.12.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
requests>=2.14.2 # Apache-2.0
simplejson>=2.2.0 # MIT
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
keystoneauth1>=3.1.0 # Apache-2.0
six>=1.9.0 # MIT
python-swiftclient>=3.2.0 # Apache-2.0
python-mistralclient>=3.1.0 # Apache-2.0
osc-lib>=1.7.0 # Apache-2.0

=== debian/changelog ===
python-troveclient (1:2.12.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 15:26:49 -0400

python-troveclient (1:2.9.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:22:51 +0100

=== debian/control ===
--- 
+++ 
@@ -10,27 +10,28 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage (>= 4.0),
                      python-crypto,
                      python-fixtures (>= 3.0.0),
                      python-httplib2 (>= 0.7.5),
-                     python-keystoneauth1 (>= 2.17.0),
-                     python-mistralclient (>= 1:2.0.0),
+                     python-keystoneauth1 (>= 3.1.0),
+                     python-mistralclient (>= 1:3.1.0),
                      python-mock (>= 2.0),
-                     python-osc-lib (>= 1.2.0),
+                     python-openstackclient (>= 3.3.0),
+                     python-openstackdocstheme (>= 1.16.0),
+                     python-osc-lib (>= 1.7.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1.10.0),
                      python-prettytable (>= 0.7.1),
-                     python-requests (>= 2.10.0),
+                     python-requests (>= 2.14.2),
                      python-requests-mock (>= 1.1),
                      python-simplejson (>= 2.2.0),
                      python-six (>= 1.9.0),
@@ -44,16 +45,17 @@
                      python3-fixtures (>= 3.0.0),
                      python3-hacking (>= 0.10.0),
                      python3-httplib2 (>= 0.7.5),
-                     python3-keystoneauth1 (>= 2.17.0),
-                     python3-mistralclient (>= 1:2.0.0),
+                     python3-keystoneauth1 (>= 3.1.0),
+                     python3-mistralclient (>= 1:3.1.0),
                      python3-mock (>= 2.0),
-                     python3-osc-lib (>= 1.2.0),
+                     python3-openstackclient (>= 3.3.0),
+                     python3-openstackdocstheme (>= 1.16.0),
+                     python3-osc-lib (>= 1.7.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.18.0),
-                     python3-oslosphinx (>= 4.7.0),
+                     python3-oslo.utils (>= 3.20.0),
                      python3-oslotest (>= 1.10.0),
                      python3-prettytable (>= 0.7.1),
-                     python3-requests (>= 2.10.0),
+                     python3-requests (>= 2.14.2),
                      python3-requests-mock (>= 1.1),
                      python3-simplejson (>= 2.2.0),
                      python3-six (>= 1.9.0),
@@ -71,14 +73,14 @@
 Package: python-troveclient
 Architecture: all
 Depends: python-babel (>= 2.3.4),
-         python-keystoneauth1 (>= 2.14.0),
-         python-mistralclient (>= 1:2.0.0),
-         python-osc-lib (>= 1.2.0),
+         python-keystoneauth1 (>= 3.1.0),
+         python-mistralclient (>= 1:3.1.0),
+         python-osc-lib (>= 1.7.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.18.0),
-         python-pbr (>= 1.6),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
          python-prettytable,
-         python-requests (>= 2.10.0),
+         python-requests (>= 2.14.2),
          python-simplejson,
          python-six (>= 1.9.0),
          python-swiftclient (>= 1:3.2.0),
@@ -96,14 +98,14 @@
 Package: python3-troveclient
 Architecture: all
 Depends: python3-babel (>= 2.3.4),
-         python3-keystoneauth1 (>= 2.14.0),
-         python3-mistralclient (>= 1:2.0.0),
-         python3-osc-lib (>= 1.2.0),
+         python3-keystoneauth1 (>= 3.1.0),
+         python3-mistralclient (>= 1:3.1.0),
+         python3-osc-lib (>= 1.7.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.18.0),
-         python3-pbr (>= 1.6),
+         python3-oslo.utils (>= 3.20.0),
+         python3-pbr (>= 2.0.0),
          python3-prettytable,
-         python3-requests (>= 2.10.0),
+         python3-requests (>= 2.14.2),
          python3-simplejson,
          python3-six (>= 1.9.0),
          python3-swiftclient (>= 1:3.2.0),
